'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function forEach(obj, fn) {
  var hasOwn = Object.hasOwnProperty;
  for (var key in obj) {
    if (hasOwn.call(obj, key)) {
      fn(obj[key], key, obj);
    }
  }
}

function truncate(str, maxLength) {
  var suffix = arguments.length <= 2 || arguments[2] === undefined ? '' : arguments[2];

  if (str.length > maxLength) {
    return str.substring(0, maxLength - suffix.length) + suffix;
  }
  return str;
}

function findIndex(arr, fn) {
  for (var i = 0; i < arr.length; i++) {
    if (fn(arr[i])) {
      return i;
    }
  }
  return -1;
}

exports.forEach = forEach;
exports.truncate = truncate;
exports.findIndex = findIndex;
exports.default = {
  forEach: forEach,
  truncate: truncate,
  findIndex: findIndex
};